/*
 * Copyright 2002 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.ifsworld.webservices;

/*
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import javax.naming.*;
*/
import javax.ejb.EJB;

import javax.jws.WebService;
import javax.jws.WebMethod;
import javax.jws.WebParam;

import com.ifsworld.ejb.*;


// Though it is perfectly fine to declare the dependency on the bean
// at the type level, it is not required for stateless session bean
// Hence the next two lines are commented and we rely on the
// container to inject the bean.
// @EJB(name="StatelessSession", beanInterface=StatelessSession.class)
@WebService
public class Ws2Stateless
{
   // Using injection for Stateless session bean is still thread-safe since
   // the ejb container will route every request to different
   // bean instances. However, for Stateful session beans the
   // dependency on the bean must be declared at the type level

   @EJB private StatelessSession sless;

   @WebMethod
   public String sayHello( @WebParam(name="yourName") String name )
   {
      return "Greeting from StatelessSessionBean: " + sless.sayHello(name);
   }
}
